datacache <- new.env(hash=TRUE, parent=emptyenv())

ag_dbconn <- function() dbconn(datacache)
ag_dbfile <- function() dbfile(datacache)
ag_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ag_dbInfo <- function() dbInfo(datacache)

agORGANISM <- "Arabidopsis thaliana"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ag.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.ARABIDOPSISCHIP_DB("ag", "chip ag", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ag_dbconn())
}

